freemarker.ext.beans

## Class BeansWrapper.MethodAppearanceDecision

- java.lang.Object
- - freemarker.ext.beans.BeansWrapper.MethodAppearanceDecision

Enclosing class:
  BeansWrapper

    public static final class BeansWrapper.MethodAppearanceDecision
    extends Object

Experimental class; subject to change! Used for `MethodAppearanceFineTuner.process(freemarker.ext.beans.BeansWrapper.MethodAppearanceDecisionInput, freemarker.ext.beans.BeansWrapper.MethodAppearanceDecision)` to store the results; see there.

### Constructor Summary

Constructors
Constructor and Description
`MethodAppearanceDecision()`

### Method Summary

All Methods Instance Methods Concrete Methods
`PropertyDescriptor` `getExposeAsProperty()`
`String` `getExposeMethodAs()`
`boolean` `getMethodShadowsProperty()`
`void` `setExposeAsProperty(PropertyDescriptor exposeAsProperty)`
`void` `setExposeMethodAs(String exposeAsMethod)`
`void` `setMethodShadowsProperty(boolean shadowEarlierProperty)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MethodAppearanceDecision

    public MethodAppearanceDecision()

### Method Detail

#### getExposeAsProperty

    public PropertyDescriptor getExposeAsProperty()

#### setExposeAsProperty

    public void setExposeAsProperty(PropertyDescriptor exposeAsProperty)

#### getExposeMethodAs

    public String getExposeMethodAs()

#### setExposeMethodAs

    public void setExposeMethodAs(String exposeAsMethod)

#### getMethodShadowsProperty

    public boolean getMethodShadowsProperty()

#### setMethodShadowsProperty

    public void setMethodShadowsProperty(boolean shadowEarlierProperty)